## requests 2.31.0+dfsg

=== Makefile ===
.PHONY: docs
init:
	pip install -r requirements-dev.txt
test:
	# This runs all of the tests on all supported Python versions.
	tox -p
ci:
	pytest tests --junitxml=report.xml

test-readme:
	python setup.py check --restructuredtext --strict && ([ $$? -eq 0 ] && echo "README.rst and HISTORY.rst ok") || echo "Invalid markup in README.rst or HISTORY.rst!"

flake8:
	flake8 --ignore=E501,F401,E128,E402,E731,F821 requests

coverage:
	pytest --cov-config .coveragerc --verbose --cov-report term --cov-report xml --cov=requests tests

publish:
	pip install 'twine>=1.5.0'
	python setup.py sdist bdist_wheel
	twine upload dist/*
	rm -fr build dist .egg requests.egg-info

docs:
	cd docs && make html
	@echo "\033[95m\n\nBuild successful! View the docs homepage at docs/_build/html/index.html.\n\033[0m"

=== debian/changelog ===
requests (2.31.0+dfsg-1ubuntu1.1) noble-security; urgency=medium

  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2024-47081.patch: Only use hostname to do netrc
      lookup instead of netloc
    - CVE-2024-47081
  * Skip Test
    - skip-failing-zip-test.patch: Skip failing zip test

 -- Bruce Cable <bruce.cable@canonical.com>  Thu, 12 Jun 2025 11:19:32 +1000

requests (2.31.0+dfsg-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018104). Remaining changes:
    - d/p/remove-charset-normalizer-dependency.patch: Remove charset-normalizer
      as a dependency of requests (LP #1975541)
  * Dropped changes:
    - d/p/CVE-2023-32681.patch: Unintended leak of Proxy-Authorization header
    [Fixed upstream in 2.31.0]
    - d/p/0002-Fix-tests-with-HTTP-proxy.patch: Fix autopkgtest when
      http_proxy, https_proxy or no_proxy variable is set (LP #1974182)
    [Fixed in 2.31.0+dfsg-1]

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 25 Jul 2023 14:54:56 -0700

requests (2.31.0+dfsg-1) unstable; urgency=medium

  [ Max-Julian Pogner ]
  * Update upstream homepage, as the previous url would direct browsers
    to a non-existant webserver.

  [ Daniele Tricoli ]
  * New upstream version 2.31.0+dfsg
    - Fix CVE-2023-32681 (Closes: #1036693).
  * Refresh 0001-Remove-remote-images-traking-code-and-ads.patch.
  * Add a patch by Olivier Gayot (thanks Oliver!) to fix autopkgtest when
    http_proxy, https_proxy or no_proxy is set. (Closes: #1011276).
  * debian/control
    - Bump standards version to 4.6.2, no changes needed.
  * Skip tests: test_header_with_subclass_types and
    test_urllib3_pool_connection_closed due connection error.
  * debian/copyright
    - Update copyright years.

 -- Daniele Tricoli <eriol@debian.org>  Mon, 17 Jul 2023 18:31:20 +0200

requests (2.28.1+dfsg-1ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: Unintended leak of Proxy-Authorization header
    - debian/patches/CVE-2023-32681.patch: don't attach header to redirects
      with an HTTPS destination in requests/sessions.py,
      tests/test_requests.py.
    - CVE-2023-32681

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Jun 2023 12:54:33 -0400

requests (2.28.1+dfsg-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993439). Remaining changes:
    - Fix autopkgtest when http_proxy, https_proxy or no_proxy variable is set
      (LP #1974182)
    - d/p/remove-charset-normalizer-dependency.patch: Remove charset-normalizer
      as a dependency of requests (LP #1975541)

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 28 Nov 2022 15:18:43 -0700

=== debian/control ===
Source: requests
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Daniele Tricoli <eriol@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-certifi,
 python3-chardet (>= 3.0.2),
 python3-pygments,
 python3-pytest,
 python3-pytest-httpbin,
 python3-pytest-mock,
 python3-setuptools,
 python3-socks,
 python3-sphinx (>= 1.3),
 python3-trustme,
 python3-urllib3 (>= 1.21.1),
Standards-Version: 4.6.2
Homepage: https://requests.readthedocs.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/requests.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/requests

Package: python3-requests
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ca-certificates,
 python3-certifi,
 python3-chardet (>= 3.0.2),
 python3-urllib3 (>= 1.21.1),
Suggests:
 python3-cryptography,
 python3-idna (>= 2.5),
 python3-openssl,
 python3-socks,
 python-requests-doc
Breaks: awscli (<< 1.11.139)
Description: elegant and simple HTTP library for Python3, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts
 .
 This package contains the Python 3 version of the library.

Package: python-requests-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: elegant and simple HTTP library for Python (Documentation)
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=requests
export PYBUILD_TEST_PYTEST=1
export PYTHONWARNINGS=d
TESTS_TO_EXCLUDE="not test_use_proxy_from_environment and \
not TestGetEnvironProxies and \
not test_mixed_case_scheme_acceptable and \
not test_HTTP_200_OK_GET_ALTERNATIVE and \
not test_unicode_get and \
not test_HTTP_302_ALLOW_REDIRECT_GET and \
not test_HTTP_307_ALLOW_REDIRECT_POST and \
not test_HTTP_307_ALLOW_REDIRECT_POST_WITH_SEEKABLE and \
not test_HTTP_302_TOO_MANY_REDIRECTS and \
not test_HTTP_302_TOO_MANY_REDIRECTS_WITH_PARAMS and \
not test_http_301_changes_post_to_get and \
not test_http_301_doesnt_change_head_to_get and \
not test_http_302_changes_post_to_get and \
not test_http_302_doesnt_change_head_to_get and \
not test_http_303_changes_post_to_get and \
not test_http_303_doesnt_change_head_to_get and \
not test_header_and_body_removal_on_redirect and \
not test_transfer_enc_removal_on_redirect and \
not test_fragment_maintained_on_redirect and \
not test_HTTP_200_OK_GET_WITH_PARAMS and \
not test_HTTP_200_OK_GET_WITH_MIXED_PARAMS and \
not test_set_cookie_on_301 and \
not test_cookie_sent_on_redirect and \
not test_cookie_removed_on_expire and \
not test_cookie_quote_wrapped and \
not test_cookie_persists_via_api and \
not test_request_cookie_overrides_session_cookie and \
not test_request_cookies_not_persisted and \
not test_generic_cookiejar_works and \
not test_param_cookiejar_works and \
not test_cookielib_cookiejar_on_redirect and \
not test_requests_in_history_are_not_overridden and \
not test_history_is_always_a_list and \
not test_user_agent_transfers and \
not test_HTTP_200_OK_HEAD and \
not test_HTTP_200_OK_PUT and \
not test_BASICAUTH_TUPLE_HTTP_200_OK_GET and \
not test_proxy_authorization_preserved_on_request and \
not test_basicauth_with_netrc and \
not test_DIGEST_HTTP_200_OK_GET and \
not test_DIGEST_AUTH_RETURNS_COOKIE and \
not test_DIGEST_AUTH_SETS_SESSION_COOKIES and \
not test_DIGEST_STREAM and \
not test_DIGESTAUTH_WRONG_HTTP_401_GET and \
not test_DIGESTAUTH_QUOTES_QOP_VALUE and \
not test_POSTBIN_GET_POST_FILES and \
not test_invalid_files_input and \
not test_POSTBIN_SEEKED_OBJECT_WITH_NO_ITER and \
not test_POSTBIN_GET_POST_FILES_WITH_DATA and \
not test_post_with_custom_mapping and \
not test_conflicting_post_params and \
not test_request_ok_set and \
not test_status_raising and \
not test_decompress_gzip and \
not test_unicode_header_name and \
not test_pyopenssl_redirect and \
not test_http_with_certificate and \
not test_certificate_failure and \
not test_urlencoded_get_query_multivalued_param and \
not test_different_encodings_dont_break_post and \
not test_unicode_multipart_post and \
not test_unicode_method_name and \
not test_unicode_method_name_with_request_object and \
not test_custom_content_type and \
not test_hook_receives_request_arguments and \
not test_prepared_request_hook and \
not test_prepared_from_session and \
not test_request_with_bytestring_host and \
not test_time_elapsed_blank and \
not test_request_and_response_are_pickleable and \
not test_prepared_request_is_pickleable and \
not test_prepared_request_with_file_is_pickleable and \
not test_prepared_request_with_hook_is_pickleable and \
not test_session_pickling and \
not test_fixes_1329 and \
not test_uppercase_scheme_redirect and \
not test_header_remove_is_case_insensitive and \
not test_params_are_merged_case_sensitive and \
not test_header_validation and \
not test_auth_is_stripped_on_http_downgrade and \
not test_auth_is_retained_for_redirect_on_host and \
not test_manual_redirect_with_partial_body_read and \
not test_redirect_with_wrong_gzipped_header and \
not test_requests_history_is_saved and \
not test_json_param_post_content_type_works and \
not test_response_iter_lines and \
not test_response_context_manager and \
not test_unconsumed_session_response_closes_connection and \
not test_response_json_when_content_is_None and \
not test_custom_redirect_mixin and \
not test_stream_timeout and \
not test_none_timeout and \
not test_read_timeout and \
not test_connect_timeout and \
not test_total_timeout_connect and \
not test_encoded_methods and \
not test_proxy_env_vars_override_default and \
not test_urllib3_retries and \
not test_redirecting_to_bad_url and \
not test_json_decode_compatibility and \
not test_set_environ and \
not test_json_decode_persists_doc_attr and \
not test_header_with_subclass_types and \
not test_urllib3_pool_connection_closed"
export PYBUILD_TEST_ARGS=tests -k ${TESTS_TO_EXCLUDE}

BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.md

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -N -bhtml docs/ \
		debian/python-requests-doc/usr/share/doc/python-requests-doc/html/

	dh_sphinxdoc
endif

## requests 2.32.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ openssl,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-certifi,
  python3-chardet (>= 3.0.2),
@@ -19,10 +21,12 @@
  python3-sphinx (>= 1.3),
  python3-trustme,
  python3-urllib3 (>= 1.21.1),
-Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://requests.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/requests.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/requests
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-requests
 Architecture: all

## requests 2.32.3+dfsg

=== debian/changelog ===
requests (2.32.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2024-35195: Fixed an issue where setting `verify=False` on the
      first request from a Session will cause subsequent requests to the
      _same origin_ to also ignore cert verification, regardless of the
      value of `verify` (closes: #1071593).
  * Use pybuild-plugin-pyproject.
  * Standards-Version: 4.7.0 (no changes required).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Jun 2024 11:53:38 +0100

requests (2.31.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with pytest 8 (Closes: #1063985)

 -- Timo Röhling <roehling@debian.org>  Thu, 16 May 2024 17:28:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: requests
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-sequence-python3,
- openssl,
+ dh-python,
  pybuild-plugin-pyproject,
  python3-all,
  python3-certifi,
@@ -21,12 +19,10 @@
  python3-sphinx (>= 1.3),
  python3-trustme,
  python3-urllib3 (>= 1.21.1),
-Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://requests.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/requests.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/requests
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-requests
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -120,7 +120,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -N -bhtml docs/ \
+	PYTHONPATH=src python3 -m sphinx $(SPHINXOPTS) -N -bhtml docs/ \
 		debian/python-requests-doc/usr/share/doc/python-requests-doc/html/
 
 	dh_sphinxdoc

## requests 2.32.4+dfsg

=== Makefile ===
.PHONY: docs
init:
	python -m pip install -r requirements-dev.txt
test:
	# This runs all of the tests on all supported Python versions.
	tox -p
ci:
	python -m pytest tests --junitxml=report.xml

test-readme:
	python setup.py check --restructuredtext --strict && ([ $$? -eq 0 ] && echo "README.rst and HISTORY.rst ok") || echo "Invalid markup in README.rst or HISTORY.rst!"

flake8:
	python -m flake8 src/requests

coverage:
	python -m pytest --cov-config .coveragerc --verbose --cov-report term --cov-report xml --cov=src/requests tests

.publishenv:
	python -m venv .publishenv
	.publishenv/bin/pip install 'twine>=1.5.0' build

publish: .publishenv
	.publishenv/bin/python -m build
	.publishenv/bin/python twine upload --skip-existing dist/*
	rm -fr build dist .egg requests.egg-info

docs:
	cd docs && make html
	@echo "\033[95m\n\nBuild successful! View the docs homepage at docs/_build/html/index.html.\n\033[0m"

=== debian/changelog ===
requests (2.32.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Avoid harmless "date: invalid date '@'" error in autopkgtest.

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Aug 2025 11:18:19 +0100

requests (2.32.3+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Mark pytest to be test-only.

 -- Bastian Germann <bage@debian.org>  Mon, 24 Mar 2025 07:38:07 +0100

requests (2.32.3+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Feb 2025 13:10:15 +0000

requests (2.32.3+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Regenerate test certificates before running tests (closes: #1091503).
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Feb 2025 12:50:27 +0000

requests (2.32.3+dfsg-2) experimental; urgency=medium

  * Team upload to experimental to generate more Pseudo-Excuse for urllib3.
  * Set Rules-Requires-Root: no
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 24 Nov 2024 20:34:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,27 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ openssl,
  pybuild-plugin-pyproject,
  python3-all,
  python3-certifi,
  python3-chardet (>= 3.0.2),
  python3-pygments,
- python3-pytest,
- python3-pytest-httpbin,
- python3-pytest-mock,
+ python3-pytest <!nocheck>,
+ python3-pytest-httpbin <!nocheck>,
+ python3-pytest-mock <!nocheck>,
  python3-setuptools,
  python3-socks,
  python3-sphinx (>= 1.3),
  python3-trustme,
  python3-urllib3 (>= 1.21.1),
+Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://requests.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/requests.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/requests
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-requests
 Architecture: all

## requests 2.32.5+dfsg

=== Makefile ===
.PHONY: docs
init:
	python -m pip install -r requirements-dev.txt
test:
	python -m pytest tests

ci:
	python -m pytest tests --junitxml=report.xml

test-readme:
	python setup.py check --restructuredtext --strict && ([ $$? -eq 0 ] && echo "README.rst and HISTORY.rst ok") || echo "Invalid markup in README.rst or HISTORY.rst!"

coverage:
	python -m pytest --cov-config .coveragerc --verbose --cov-report term --cov-report xml --cov=src/requests tests

.publishenv:
	python -m venv .publishenv
	.publishenv/bin/pip install 'twine>=1.5.0' build

publish: .publishenv
	.publishenv/bin/python -m build
	.publishenv/bin/python -m twine upload --skip-existing dist/*
	rm -fr build dist .egg requests.egg-info

docs:
	cd docs && make html
	@echo "\033[95m\n\nBuild successful! View the docs homepage at docs/_build/html/index.html.\n\033[0m"

=== tests/certs/expired/Makefile ===
.PHONY: all clean ca server

ca:
	make -C $@ all

server:
	make -C $@ all

all: ca server

clean:
	make -C ca clean
	make -C server clean

=== debian/changelog ===
requests (2.32.5+dfsg-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130145). Remaining changes:
    - d/p/remove-charset-normalizer-dependency.patch: Remove charset-normalizer
      as a build dependency (LP #1975541).
    Drop changes applied in upstream:
    - debian/patches/CVE-2024-47081.patch: Only use hostname to do netrc
      lookup instead of netloc
  * d/p/remove-charset-normalizer-dependency.patch: refresh the patch

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Thu, 06 Nov 2025 12:18:28 +0100

requests (2.32.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Aug 2025 11:26:45 +0100

requests (2.32.3+dfsg-5ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: Information Leak
    - debian/patches/CVE-2024-47081.patch: Only use hostname to do netrc
      lookup instead of netloc
    - CVE-2024-47081

 -- Bruce Cable <bruce.cable@canonical.com>  Wed, 11 Jun 2025 13:28:01 +1000

requests (2.32.3+dfsg-5ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2085279). Remaining changes:
    - d/p/remove-charset-normalizer-dependency.patch: Remove charset-normalizer
      as a build dependency (LP #1975541).

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 22 May 2025 16:50:10 -0400

requests (2.32.3+dfsg-4ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/p/remove-charset-normalizer-dependency.patch: Remove charset-normalizer
      as a build dependency (LP: #1975541).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 01:55:57 -0600

requests (2.32.3+dfsg-1ubuntu1) oracular; urgency=medium

  * d/p/remove-charset-normalizer-dependency.patch: Remove charset-normalizer
    as a build dependency of requests (LP: #1975541)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 26 Jun 2024 08:56:02 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: requests
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional

## requests oauth2client-0.6.0

=== requirements.txt ===
appdirs==1.4.4
atomicwrites==1.4.0
attrs==19.3.0
black==19.10b0
bleach==3.1.5
bump2version==1.0.0
certifi==2020.6.20
cffi==1.14.1
chardet==3.0.4
click==7.1.2
colorama==0.4.3
coverage==5.2.1
cryptography==3.0
distlib==0.3.1
docutils==0.16
filelock==3.0.12
furl==2.1.0
idna==2.10
iniconfig==1.0.1
isort==5.2.2
jwcrypto==0.7
keyring==21.2.1
more-itertools==8.4.0
mypy==0.782
mypy-extensions==0.4.3
orderedmultidict==1.0.1
packaging==20.4
pathspec==0.8.0
pipenv==2020.6.2
pkginfo==1.5.0.1
pluggy==0.13.1
py==1.9.0
pycparser==2.20
Pygments==2.6.1
pyparsing==2.4.7
pytest==6.0.1
python-dotenv==0.14.0
pywin32-ctypes==0.2.0
readme-renderer==26.0
regex==2020.7.14
requests==2.24.0
requests-toolbelt==0.9.1
rfc3986==1.4.0
six==1.15.0
toml==0.10.1
tqdm==4.48.0
twine==3.2.0
typed-ast==1.4.1
typing-extensions==3.7.4.2
urllib3==1.25.10
virtualenv==20.0.29
virtualenv-clone==0.5.4
wcwidth==0.2.5
webencodings==0.5.1

## requests oauth2client-0.7.0

=== requirements.txt ===
certifi
cffi
chardet>=3.0.4
cryptography>=3.0; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
furl>=2.1.0
idna>=2.10; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
jwcrypto>=0.7
orderedmultidict>=1.0
pycparser>=2.20; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
requests>=2
six>=1.15.0; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
urllib3>=1.24

## requests oauth2client-0.8.0

=== requirements.txt ===
appdirs==1.4.4
atomicwrites==1.4.0
attrs==20.2.0
Authlib==0.14.3
autoflake==1.4
black==19.10b0
bleach==3.1.5
Brotli==1.0.7
bump2version==1.0.0
certifi==2020.6.20
cffi==1.14.2
chardet==3.0.4
click==7.1.2
cloudpickle==0.8.0
colorama==0.4.3
coverage==5.2.1
cryptography==3.1
dask==1.1.3
distlib==0.3.1
docopt==0.6.2
docutils==0.16
filelock==3.0.12
Flask==1.1.2
Flask-Admin==1.5.6
furl==2.1.0
idlex==1.18
idna==2.10
importlib-metadata==1.7.0
importlib-resources==3.0.0
iniconfig==1.0.1
isort==5.5.1
itsdangerous==1.1.0
jedi==0.13.3
Jinja2==2.11.2
joblib==0.13.2
jwcrypto==0.8
keyring==21.4.0
locket==0.2.0
MarkupSafe==1.1.1
more-itertools==8.5.0
mypy==0.782
mypy-extensions==0.4.3
orderedmultidict==1.0.1
packaging==20.4
parso==0.3.4
partd==0.3.9
pathspec==0.8.0
pipenv==2020.8.13
pkginfo==1.5.0.1
pluggy==0.13.1
prompt-toolkit==2.0.9
ptpython==2.0.4
py==1.9.0
pycparser==2.20
pyflakes==2.2.0
Pygments==2.6.1
pyodbc==4.0.26
pyparsing==2.4.7
pytest==6.0.1
python-dotenv==0.14.0
python-snappy==0.5.3
pythonnet==2.4.0.dev0
pywin32-ctypes==0.2.0
QtPy==1.6.0
readme-renderer==26.0
regex==2020.7.14
requests==2.24.0
requests-mock==1.8.0
requests-toolbelt==0.9.1
rfc3986==1.4.0
six==1.15.0
sqlite-bro==0.8.11
toml==0.10.1
toolz==0.9.0
tqdm==4.48.2
twine==3.2.0
typed-ast==1.4.1
typing-extensions==3.7.4.3
urllib3==1.25.10
virtualenv==20.0.31
virtualenv-clone==0.5.4
wcwidth==0.1.7
webencodings==0.5.1
Werkzeug==1.0.1
winpython==1.11.20190223
WTForms==2.3.3
zipp==3.1.0

## requests oauth2client-0.9.3

=== requirements.txt ===
furl>=2.1.0
jwcrypto>=0.7
requests>=2
